Index: WAeUP_SRP/trunk/Accommodation.py
===================================================================
--- WAeUP_SRP/trunk/Accommodation.py	(revision 951)
+++ WAeUP_SRP/trunk/Accommodation.py	(revision 952)
@@ -72,5 +72,5 @@
                                 bt = 'fi'
                             if h.special_handling.startswith("no_"):
-                                bt += h.special_handling[3:]
+                                bt += "_" + h.special_handling[3:]
                             bt = "%(sex)s_%(bt)s" % vars()
                             uid = '%s_%s_%d_%s' % (hall.getId(),block,room_nr,bed)
Index: WAeUP_SRP/trunk/WAeUPTables.py
===================================================================
--- WAeUP_SRP/trunk/WAeUPTables.py	(revision 951)
+++ WAeUP_SRP/trunk/WAeUPTables.py	(revision 952)
@@ -121,4 +121,6 @@
         rec = records[0]
         self.modifyRecord(bed=rec.bed,student=student_id)
+        s_logger = logging.getLogger('hostel_reservation')
+        s_logger.info("Student %s reserved bed %s" % (student_id,rec.bed))
         return 1,rec.bed
 
Index: WAeUP_SRP/trunk/Widgets.py
===================================================================
--- WAeUP_SRP/trunk/Widgets.py	(revision 951)
+++ WAeUP_SRP/trunk/Widgets.py	(revision 952)
@@ -15,6 +15,7 @@
 from Products.WAeUP_SRP.Students import getStudentByRegNo
 from re import compile
-
-from zLOG import LOG, DEBUG
+import logging
+
+#from zLOG import LOG, DEBUG
 
 class CPSSelectWidgetForRecord(CPSSelectWidget): ###(
@@ -449,4 +450,5 @@
         """Validate datastructure and update datamodel."""
         #import pdb;pdb.set_trace()
+        s_logger = logging.getLogger('students_pin_usage')
         widget_id = self.getWidgetId()
         v = datastructure[widget_id]
@@ -484,4 +486,5 @@
                     student = self.getStudentInfo()['student']
                     s_id = student.getId()
+                    s_logger.info("Student %s used Pin %s" % (s_id,pin))
                     break
                 else:
@@ -495,4 +498,5 @@
                     break
                 student.getContent().makeStudentMember(s_id,password=pin[4:])
+                s_logger.info("Student %s created using Pin %s" % (s_id,pin))
             break
         if err:
Index: WAeUP_SRP/trunk/skins/waeup_accommodation/getBedTypeNames.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_accommodation/getBedTypeNames.py	(revision 951)
+++ WAeUP_SRP/trunk/skins/waeup_accommodation/getBedTypeNames.py	(revision 952)
@@ -17,6 +17,7 @@
 special = [item for item in context.portal_vocabularies.acco_special_handling.items()
                             if not item[0].startswith('no')]
+for s,t in type_suffixes:
+    special.append(('%s_ekenhuan' % s,'Ekenhuan Campus %s' % t))
 type_suffixes.extend(special)
-type_suffixes.append(('ekenhuan','Ekenhuan Campus'))
 dict = {}
 for gender in ('female','male'):
